
package edu.unl.consystlab.gui;

import javax.swing.JMenu;
import javax.swing.JMenuItem;
import javax.swing.JMenu; 

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

class MemoryMenuItemListener 
{
} 

public class MemoryMenu extends JMenu implements ActionListener
{
	private GrapherFrame gf = null;

	public MemoryMenu(String name)
	{
		super(name);
		JMenuItem ji = new JMenuItem("Show memory usage");
		this.add(ji);	
		ji.addActionListener(this);
	}

	public void actionPerformed(ActionEvent e)
	{
		if(gf==null)
		{
			gf = new edu.unl.consystlab.GrapherDemos.MemoryGrapherFrame("Memory Usage");
 		}
	}
}
